SystemOrganization addCategory: #ConfigurationOfMagritteAddOns2!

Object subclass: #ConfigurationOfMagritteAddOns2
	instanceVariableNames: 'project'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfMagritteAddOns2'!

!ConfigurationOfMagritteAddOns2 class methodsFor: 'private' stamp: 'NorbertHartl 10/7/2010 13:03'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfMagritteAddOns2 class methodsFor: 'private' stamp: 'NorbertHartl 10/7/2010 13:03'!
ensureMetacello
	"Bootstrap Gofer (if necessary), bootstrap ConfigurationOfMetacello (using old Gofer API), then load the latest 
	version of Metacello itself."

	Smalltalk at: #MetacelloProject ifAbsent: [
		Smalltalk at: #Gofer ifAbsent: [
			"Current version of Gofer from which to bootstrap - as of 1.0-beta.15"
			self bootstrapPackage: 'Gofer-lr.83' from: 'http://seaside.gemstone.com/ss/metacello' ].
		Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
			gofer := goferClass new
				url: 'http://seaside.gemstone.com/ss/metacello';
				yourself.
			[ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
			gofer load ].
		"load 'default' group of Metacello"
		(Smalltalk at: #ConfigurationOfMetacello) perform: #load ]! !

!ConfigurationOfMagritteAddOns2 class methodsFor: 'metacello tool support' stamp: 'NorbertHartl 10/7/2010 13:03'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfMagritteAddOns2 class methodsFor: 'loading' stamp: 'NorbertHartl 10/7/2010 13:03'!
load
	"self load"
	
	self project latestVersion load! !

!ConfigurationOfMagritteAddOns2 class methodsFor: 'accessing' stamp: 'NorbertHartl 10/7/2010 13:03'!
project

	^self new project! !

!ConfigurationOfMagritteAddOns2 methodsFor: 'baselines' stamp: 'NorbertHartl 7/6/2011 16:11'!
baseline2061: spec 
	<version: '2.0.6.1-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec description: '10/09/10 13:41:00'.
		spec 
			repository: 'http://source.lukas-renggli.ch/magritte2addons'.
		spec
			project: 'Magritte' with: [
				spec
					className: 'ConfigurationOfMagritte2';
					loads: #('Core');
					versionString: '2.0.5.1';
					file: 'ConfigurationOfMagritte2';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			yourself.

		spec
			project: 'Grease' with: [
				spec
					className: 'ConfigurationOfGrease';
					versionString: '1.0';
					loads: #('Core');
					file: 'ConfigurationOfGrease';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			yourself.
		spec
			project: 'XML Parser' with: [
				spec
					className: 'ConfigurationOfXMLSupport';
					versionString: #'stable';
					loads: #('Core');
					file: 'ConfigurationOfXMLSupport';
					repository: 'http://www.squeaksource.com/XMLSupport' ];
			yourself.
		spec
			package: 'Magritte-XMLBinding' with: [ 
				spec requires: #( 'Magritte' 'XML Parser' 'Grease' ) ];
			yourself.
		].
	spec for: #squeakCommon do: [
	].
	spec for: #gemstone do: [
	].! !

!ConfigurationOfMagritteAddOns2 methodsFor: 'baselines' stamp: 'NorbertHartl 11/14/2010 23:41'!
baseline206: spec 
	<version: '2.0.6-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec description: '10/09/10 13:41:00'.
		spec 
			repository: 'http://source.lukas-renggli.ch/magritte2addons'.
		spec
			project: 'Magritte' with: [
				spec
					className: 'ConfigurationOfMagritte2';
					loads: #('Core');
					versionString: '2.0.5.1';
					file: 'ConfigurationOfMagritte2';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			yourself.

		spec
			project: 'Grease' with: [
				spec
					className: 'ConfigurationOfGrease';
					versionString: '1.0';
					loads: #('Core');
					file: 'ConfigurationOfGrease';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			yourself.
		spec
			project: 'XML Parser' with: [
				spec
					className: 'ConfigurationOfXMLSupport';
					versionString: '1.0.5';
					loads: #('Core');
					file: 'ConfigurationOfXMLSupport';
					repository: 'http://www.squeaksource.com/XMLSupport' ];
			yourself.
		spec
			package: 'Magritte-XMLBinding' with: [ 
				spec requires: #( 'Magritte' 'XML Parser' 'Grease' ) ];
			yourself.
		].
	spec for: #squeakCommon do: [
	].
	spec for: #gemstone do: [
	].! !

!ConfigurationOfMagritteAddOns2 methodsFor: 'baselines' stamp: 'NickAger 8/23/2011 15:16'!
baseline207: spec 
	<version: '2.0.7-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec description: '10/09/10 13:41:00'.
		spec 
			repository: 'http://source.lukas-renggli.ch/magritte2addons'.
		spec
			project: 'Magritte' with: [
				spec
					className: 'ConfigurationOfMagritte2';
					loads: #('Core');
					versionString: '2.0.6.1';
					file: 'ConfigurationOfMagritte2';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			yourself.

		spec
			project: 'XML Parser' with: [
				spec
					className: 'ConfigurationOfXMLSupport';
					versionString: #'stable';
					loads: #('Core');
					file: 'ConfigurationOfXMLSupport';
					repository: 'http://www.squeaksource.com/XMLSupport' ];
			yourself.
		spec
			package: 'Magritte-XMLBinding' with: [ 
				spec requires: #( 'Magritte' 'XML Parser') ];
			package: 'Magritte-Json' with: [ 
				spec requires: #( 'Magritte' );
				repository: 'http://source.lukas-renggli.ch/magritteaddons';
				yourself ];
			yourself.
		].
	spec for: #squeakCommon do: [
	].
	spec for: #gemstone do: [
	].! !

!ConfigurationOfMagritteAddOns2 methodsFor: 'accessing' stamp: 'NorbertHartl 10/7/2010 13:03'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear ]! !

!ConfigurationOfMagritteAddOns2 methodsFor: 'versions' stamp: 'NorbertHartl 7/6/2011 16:25'!
version2061: spec
	<version: '2.0.6.1' imports: #('2.0.6-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'changed version of xml parser to load from 1.0.5 to symbolic version #stable. Adapted Magritte-XML for changes in XML Parser'.
		spec author: 'NorbertHartl'.
		spec timestamp: '06/07/11 13:08:08'.
		
		spec package: 'Magritte-XMLBinding' with: 'Magritte-XMLBinding-NorbertHartl.66'.].
		
	spec for: #'squeakCommon' do: [
	].
	spec for: #'gemstone' do: [
	].! !

!ConfigurationOfMagritteAddOns2 methodsFor: 'versions' stamp: 'NorbertHartl 5/25/2011 18:51'!
version206: spec
	<version: '2.0.6' imports: #('2.0.6-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'started with skeletons to add maritte add ons'.
		spec author: 'NorbertHartl'.
		spec timestamp: '10/07/10 13:08:08'.
		
		spec package: 'Magritte-XMLBinding' with: 'Magritte-XMLBinding-NorbertHartl.65'.].
		
	spec for: #'squeakCommon' do: [
	].
	spec for: #'gemstone' do: [
	].! !

!ConfigurationOfMagritteAddOns2 methodsFor: 'versions' stamp: 'NickAger 8/23/2011 14:06'!
version207: spec
	<version: '2.0.7' imports: #('2.0.6' '2.0.7-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'added Magritte-Json'.
		spec author: 'NickAger'.
		spec timestamp: '23/07/11 14:06'.
		
		spec package: 'Magritte-Json' with: 'Magritte-Json-NickAger.11'.].
		
	spec for: #'squeakCommon' do: [
	].
	spec for: #'gemstone' do: [
	].! !
